Index: tmp/org.txm.utils/src/org/txm/utils/ProcessBuilderBuilder.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/ProcessBuilderBuilder.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/ProcessBuilderBuilder.java	(revision 2402)
@@ -49,17 +49,18 @@
  *
  * @deprecated
  * 
- * Reads a shell command line interface definition in an xml file
- * (CLIX) then creates the corresponding java wrapper API code.
+ * 			Reads a shell command line interface definition in an xml file
+ *             (CLIX) then creates the corresponding java wrapper API code.
  * 
- * example xml definition file :
+ *             example xml definition file :
  * 
- * <application name="progname" version="0.0.0" desc="..."> <progs>
- * <prog exec="prog.exe" desc="..."> <args> <arg state="optional"
- * type="none" name="thing" desc="the thing arg"/> <arg state="must"
- * type="none" name="compulsorything" desc=""/> <arg
- * state="multiple" type="none" name="onethingatleast" desc=""/>
- * </args> </prog> </progs> </application>
+ *             <application name="progname" version="0.0.0" desc="..."> <progs>
+ *             <prog exec="prog.exe" desc="..."> <args>
+ *             <arg state="optional" type="none" name="thing" desc="the thing
+ *             arg"/>
+ *             <arg state="must" type="none" name="compulsorything" desc=""/>
+ *             <arg state="multiple" type="none" name="onethingatleast" desc=
+ *             ""/> </args> </prog> </progs> </application>
  * @author mdecorde, sheiden
  */
 @Deprecated
@@ -68,16 +69,19 @@
 	/**
 	 * build the java file from the definition file.
 	 *
-	 * @param xmlFile the xml file
-	 * @param outFile the out file
-	 * @throws IOException Signals that an I/O exception has occurred.
-	 * @throws SAXException the sAX exception
-	 * @throws ParserConfigurationException the parser configuration exception
+	 * @param xmlFile
+	 *            the xml file
+	 * @param outFile
+	 *            the out file
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
+	 * @throws SAXException
+	 *             the sAX exception
+	 * @throws ParserConfigurationException
+	 *             the parser configuration exception
 	 */
-	public static void build(File xmlFile, File outFile) throws IOException,
-			SAXException, ParserConfigurationException {
-		OutputStreamWriter writer = new OutputStreamWriter(
-				new FileOutputStream(outFile), "UTF-8"); //$NON-NLS-1$
+	public static void build(File xmlFile, File outFile) throws IOException, SAXException, ParserConfigurationException {
+		OutputStreamWriter writer = new OutputStreamWriter(new FileOutputStream(outFile), "UTF-8"); //$NON-NLS-1$
 		DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
 		DocumentBuilder db = dbf.newDocumentBuilder();
 		Document doc = db.parse(xmlFile);
@@ -120,7 +124,7 @@
 			String execfiledesc = elem.getAttribute("desc"); //$NON-NLS-1$
 			String func = "\n\t// " + execfiledesc + //$NON-NLS-1$
 					"\n\tpublic void " //$NON-NLS-1$
-					+ execfile.replace("-", "").replace(".", "") + "("; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ 
+					+ execfile.replace("-", "").replace(".", "") + "("; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
 			String argsdesc = ""; //$NON-NLS-1$
 			for (int i = 0; i < children.getLength(); i++) {
 				Element child = (Element) children.item(i);
@@ -135,35 +139,30 @@
 					if (!dejavu.contains(name)) {
 						dejavu.add(name);
 						writer.write("\n\t// " + desc + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
-						writer
-								.write("\tprivate Boolean is" + name.replace("-", "") + " = false;\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+						writer.write("\tprivate Boolean is" + name.replace("-", "") + " = false;\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 
 						if (!type.equals("none")) //$NON-NLS-1$
 						{
-							writer
-									.write("\tprivate " + type + " " + name.replace("-", "") + ";\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
-							writer
-									.write("\tpublic void set" + name.replace("-", "") + "(" + type + " arg)\n\t{" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
-											"\tthis.is" //$NON-NLS-1$
-											+ name.replace("-", "") + "=true;\n" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
-											"\t\tthis." //$NON-NLS-1$
-											+ name.replace("-", "") + "=arg;\n" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
-											"\t}\n" //$NON-NLS-1$
-									);
+							writer.write("\tprivate " + type + " " + name.replace("-", "") + ";\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
+							writer.write("\tpublic void set" + name.replace("-", "") + "(" + type + " arg)\n\t{" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
+									"\tthis.is" //$NON-NLS-1$
+									+ name.replace("-", "") + "=true;\n" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+									"\t\tthis." //$NON-NLS-1$
+									+ name.replace("-", "") + "=arg;\n" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+									"\t}\n" //$NON-NLS-1$
+							);
 						} else {
-							writer
-									.write("\tpublic void set" + name.replace("-", "") + "()\n\t{" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
-											"\tthis.is" //$NON-NLS-1$
-											+ name.replace("-", "") + "=true;\n" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
-											"\t}\n" //$NON-NLS-1$
-									);
+							writer.write("\tpublic void set" + name.replace("-", "") + "()\n\t{" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+									"\tthis.is" //$NON-NLS-1$
+									+ name.replace("-", "") + "=true;\n" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+									"\t}\n" //$NON-NLS-1$
+							);
 						}
-						writer
-								.write("\tpublic void unset" + name.replace("-", "") + "()\n\t{" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
-										"\tthis.is" //$NON-NLS-1$
-										+ name.replace("-", "") + "=false;\n" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
-										"\t}\n" //$NON-NLS-1$
-								);
+						writer.write("\tpublic void unset" + name.replace("-", "") + "()\n\t{" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+								"\tthis.is" //$NON-NLS-1$
+								+ name.replace("-", "") + "=false;\n" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+								"\t}\n" //$NON-NLS-1$
+						);
 					}
 
 					atester.put(name, type);
@@ -172,35 +171,30 @@
 					if (!dejavu.contains(name)) {
 						dejavu.add(name);
 						writer.write("\n\t// " + desc + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
-						writer
-								.write("\tprivate Boolean is" + name.replace("-", "") + " = false;\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+						writer.write("\tprivate Boolean is" + name.replace("-", "") + " = false;\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 
 						if (!type.equals("none")) //$NON-NLS-1$
 						{
-							writer
-									.write("\tprivate List<" + type + "> " + name + ";\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-							writer
-									.write("\tpublic void set" + name.replace("-", "") + "(List<" + type + "> arg)\n\t{" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
-											"\tthis.is" //$NON-NLS-1$
-											+ name.replace("-", "") + "=true;\n" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
-											"\t\tthis." //$NON-NLS-1$
-											+ name.replace("-", "") + "=arg;\n" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
-											"\t}\n" //$NON-NLS-1$
-									);
+							writer.write("\tprivate List<" + type + "> " + name + ";\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+							writer.write("\tpublic void set" + name.replace("-", "") + "(List<" + type + "> arg)\n\t{" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
+									"\tthis.is" //$NON-NLS-1$
+									+ name.replace("-", "") + "=true;\n" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+									"\t\tthis." //$NON-NLS-1$
+									+ name.replace("-", "") + "=arg;\n" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+									"\t}\n" //$NON-NLS-1$
+							);
 						} else {
-							writer
-									.write("\tpublic void set" + name.replace("-", "") + "()\n\t{" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
-											"\tthis.is" //$NON-NLS-1$
-											+ name.replace("-", "") + "=true;\n" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
-											"\t}\n" //$NON-NLS-1$
-									);
+							writer.write("\tpublic void set" + name.replace("-", "") + "()\n\t{" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+									"\tthis.is" //$NON-NLS-1$
+									+ name.replace("-", "") + "=true;\n" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+									"\t}\n" //$NON-NLS-1$
+							);
 						}
-						writer
-								.write("\tpublic void unset" + name.replace("-", "") + "()\n\t{" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
-										"\tthis.is" //$NON-NLS-1$
-										+ name.replace("-", "") + "=false;\n" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
-										"\t}\n" //$NON-NLS-1$
-								);
+						writer.write("\tpublic void unset" + name.replace("-", "") + "()\n\t{" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+								"\tthis.is" //$NON-NLS-1$
+								+ name.replace("-", "") + "=false;\n" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+								"\t}\n" //$NON-NLS-1$
+						);
 					}
 					multiples.add(name);
 					atester.put(name, type);
@@ -221,8 +215,7 @@
 			writer.write("\n" + func + " throws IOException\n"); //$NON-NLS-1$ //$NON-NLS-2$
 			writer.write(argsdesc);
 			writer.write("\t{\n"); //$NON-NLS-1$
-			writer
-					.write("\t\tArrayList<String> args = new ArrayList<String>();\n"); //$NON-NLS-1$
+			writer.write("\t\tArrayList<String> args = new ArrayList<String>();\n"); //$NON-NLS-1$
 			writer.write("\t\targs.add(binpath+\"/" + execfile + "\");\n"); //$NON-NLS-1$ //$NON-NLS-2$
 			for (String name : order) {
 				if (atester.containsKey(name)) {
@@ -230,55 +223,42 @@
 					if (!atester.get(name).equals("none")) //$NON-NLS-1$
 					{
 						if (multiples.contains(name)) {
-							writer
-									.write("\t\t\tfor(int c = 0;c < " + name.replace("-", "") + ".size();c++)\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
-							writer
-									.write("\t\t\t{args.add(\"-" + name + "\");\n"); //$NON-NLS-1$ //$NON-NLS-2$
-							writer
-									.write("\t\t\targs.add(\"\"+" + name.replace("-", "") + ".get(c));}\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+							writer.write("\t\t\tfor(int c = 0;c < " + name.replace("-", "") + ".size();c++)\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+							writer.write("\t\t\t{args.add(\"-" + name + "\");\n"); //$NON-NLS-1$ //$NON-NLS-2$
+							writer.write("\t\t\targs.add(\"\"+" + name.replace("-", "") + ".get(c));}\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 						} else {
-							writer
-									.write("\t\t\t{args.add(\"-" + name + "\");\n"); //$NON-NLS-1$ //$NON-NLS-2$
-							writer
-									.write("\t\t\targs.add(\"\"+" + name.replace("-", "") + ");}\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+							writer.write("\t\t\t{args.add(\"-" + name + "\");\n"); //$NON-NLS-1$ //$NON-NLS-2$
+							writer.write("\t\t\targs.add(\"\"+" + name.replace("-", "") + ");}\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 						}
 					} else {
 						writer.write("\t\t\targs.add(\"-" + name + "\");\n"); //$NON-NLS-1$ //$NON-NLS-2$
 					}
 				} else {
 					if (musts.contains(name))
-						writer
-								.write("\t\targs.add(\"\"+" + name.replace("-", "") + ");\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+						writer.write("\t\targs.add(\"\"+" + name.replace("-", "") + ");\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 				}
 			}
 
-			writer
-					.write("\n\t\tProcessBuilder pb = new ProcessBuilder(args);\n" + //$NON-NLS-1$
-							"\t\tpb.redirectErrorStream(true);\n" + //$NON-NLS-1$
-							"\t\tProcess process = null;\n" + //$NON-NLS-1$
-							"\t\ttry {\n\t\t\tprocess = pb.start();\n\t\t} catch (IOException e) {\n\t\t\tSystem.err.println(e);\n\t\t}\n"); //$NON-NLS-1$
+			writer.write("\n\t\tProcessBuilder pb = new ProcessBuilder(args);\n" + //$NON-NLS-1$
+					"\t\tpb.redirectErrorStream(true);\n" + //$NON-NLS-1$
+					"\t\tProcess process = null;\n" + //$NON-NLS-1$
+					"\t\ttry {\n\t\t\tprocess = pb.start();\n\t\t} catch (IOException e) {\n\t\t\tSystem.err.println(e);\n\t\t}\n"); //$NON-NLS-1$
 			writer.write("\t\tInputStream is = process.getInputStream();\n"); //$NON-NLS-1$
-			writer
-					.write("\t\tInputStreamReader isr = new InputStreamReader(is);\n"); //$NON-NLS-1$
+			writer.write("\t\tInputStreamReader isr = new InputStreamReader(is);\n"); //$NON-NLS-1$
 			writer.write("\t\tBufferedReader br = new BufferedReader(isr);\n"); //$NON-NLS-1$
 			writer.write("\t\tString line;\n"); //$NON-NLS-1$
-			writer
-					.write("\t\twhile ((line = br.readLine()) != null)\n\t\t{\n\t\t\tSystem.out.println(line);\n\t\t}\n"); //$NON-NLS-1$
-			writer
-					.write("\t\tint e=0;\n\ttry {e = process.waitFor();}catch(Exception err){}\n\t\tif (e != 0) {\n\t\t\t" + //$NON-NLS-1$
-							"System.err.println(\"Process exited abnormally with code \"+e+\" at \"+" //$NON-NLS-1$
-							+ 
-							"DateFormat.getDateInstance(DateFormat.FULL, Locale.UK).format(new Date()));\n\t\t\n"); //$NON-NLS-1$
+			writer.write("\t\twhile ((line = br.readLine()) != null)\n\t\t{\n\t\t\tSystem.out.println(line);\n\t\t}\n"); //$NON-NLS-1$
+			writer.write("\t\tint e=0;\n\ttry {e = process.waitFor();}catch(Exception err){}\n\t\tif (e != 0) {\n\t\t\t" + //$NON-NLS-1$
+					"System.err.println(\"Process exited abnormally with code \"+e+\" at \"+" //$NON-NLS-1$
+					+ "DateFormat.getDateInstance(DateFormat.FULL, Locale.UK).format(new Date()));\n\t\t\n"); //$NON-NLS-1$
 			writer.write("\t\n\n"); //$NON-NLS-1$
-			writer
-					.write("for(int c=0;c <args.size();c++)System.out.print(\"\"+args.get(c)+\" \");\n"); //$NON-NLS-1$
+			writer.write("for(int c=0;c <args.size();c++)System.out.print(\"\"+args.get(c)+\" \");\n"); //$NON-NLS-1$
 			writer.write("System.out.println();\n}\n\t}\n"); //$NON-NLS-1$
 		}
 
 		writer.write("\tpublic static void main(String[] args) \n"); //$NON-NLS-1$
 		writer.write("\t{\n"); //$NON-NLS-1$
-		writer
-				.write("\t\t" + appliname + " tt = new " + appliname + "(\"\");\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+		writer.write("\t\t" + appliname + " tt = new " + appliname + "(\"\");\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		writer.write("\t}\n"); //$NON-NLS-1$
 
 		writer.write("}"); //$NON-NLS-1$
@@ -288,7 +268,8 @@
 	/**
 	 * The main method.
 	 *
-	 * @param args the arguments
+	 * @param args
+	 *            the arguments
 	 */
 	public static void main(String[] args) {
 		if (args.length < 2) {
Index: tmp/org.txm.utils/.classpath
===================================================================
--- tmp/org.txm.utils/.classpath	(revision 2401)
+++ tmp/org.txm.utils/.classpath	(revision 2402)
@@ -1,13 +1,21 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry exported="true" kind="lib" path="commons-cli-1.2.jar"/>
-	  <classpathentry exported="true" kind="lib" path="commons-io-1.4.jar"/>
-	  <classpathentry exported="true" kind="lib" path="commons-lang-2.4.jar"/>
-	  <classpathentry exported="true" kind="lib" path="juniversalchardet-1.0.3.jar"/>
-	  <classpathentry exported="true" kind="lib" path="ant-1.7.1.jar"/>
-	  <classpathentry exported="true" kind="lib" path="textcat-1.0.1.jar"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins" />
+	<classpathentry kind="src" path="src" />
+	<classpathentry exported="true" kind="lib"
+		path="commons-cli-1.2.jar" />
+	<classpathentry exported="true" kind="lib"
+		path="commons-io-1.4.jar" />
+	<classpathentry exported="true" kind="lib"
+		path="commons-lang-2.4.jar" />
+	<classpathentry exported="true" kind="lib"
+		path="juniversalchardet-1.0.3.jar" />
+	<classpathentry exported="true" kind="lib"
+		path="ant-1.7.1.jar" />
+	<classpathentry exported="true" kind="lib"
+		path="textcat-1.0.1.jar" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
Index: tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/messages/TreeTaggerUIMessages.java
===================================================================
--- tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/messages/TreeTaggerUIMessages.java	(revision 2401)
+++ tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/messages/TreeTaggerUIMessages.java	(revision 2402)
@@ -12,18 +12,18 @@
  *
  */
 public class TreeTaggerUIMessages extends NLS {
-
+	
 	private static final String BUNDLE_NAME = "org.txm.treetagger.rcp.messages.messages"; //$NON-NLS-1$
 	
-	public static String pathToInstallDirectory; 
-	public static String pathToModelsDirectory; 
+	public static String pathToInstallDirectory;
 	
+	public static String pathToModelsDirectory;
+	
 	static {
 		// initialize resource bundle
 		Utf8NLS.initializeMessages(BUNDLE_NAME, TreeTaggerUIMessages.class);
 	}
-
-	private TreeTaggerUIMessages() {
-	}
 	
+	private TreeTaggerUIMessages() {}
+	
 }
Index: tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/Apply.java
===================================================================
--- tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/Apply.java	(revision 2401)
+++ tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/Apply.java	(revision 2402)
@@ -25,20 +25,24 @@
 
 /**
  * Our sample handler extends AbstractHandler, an IHandler base class.
+ * 
  * @see org.eclipse.core.commands.IHandler
  * @see org.eclipse.core.commands.AbstractHandler
  */
 public class Apply extends AbstractHandler {
 	
-	@Option(name="model", usage="Model file", widget="File", required=true, def="model.par")
+	@Option(name = "model", usage = "Model file", widget = "File", required = true, def = "model.par")
 	public File model = null;
-	@Option(name="posProperty", usage="The pos property", widget="String", required=true, def="frpos")
+	
+	@Option(name = "posProperty", usage = "The pos property", widget = "String", required = true, def = "frpos")
 	public String posProperty = null;
-	@Option(name="lemmaProperty", usage="The lemma property", widget="String", required=true, def="frlemma")
+	
+	@Option(name = "lemmaProperty", usage = "The lemma property", widget = "String", required = true, def = "frlemma")
 	public String lemmaProperty = null;
-	@Option(name="options", usage="TreeTagger supplementary options", widget="String", required=true, def="")
+	
+	@Option(name = "options", usage = "TreeTagger supplementary options", widget = "String", required = true, def = "")
 	public String options = null;
-
+	
 	/**
 	 * 
 	 */
@@ -48,12 +52,12 @@
 		
 		ISelection isel = window.getActivePage().getSelection();
 		if (isel instanceof IStructuredSelection) {
-			IStructuredSelection sel = (IStructuredSelection)isel;
+			IStructuredSelection sel = (IStructuredSelection) isel;
 			Object first = sel.getFirstElement();
 			if (first instanceof CQPCorpus) {
-				corpus = (CQPCorpus)first;
+				corpus = (CQPCorpus) first;
 				if (ParametersDialog.open(this)) {
-					apply(corpus, model, new String[]{posProperty, lemmaProperty}, options.split("  "));
+					apply(corpus, model, new String[] { posProperty, lemmaProperty }, options.split("  "));
 					return corpus;
 				}
 			}
@@ -66,13 +70,14 @@
 	public static void apply(CQPCorpus corpus, final File model, final String[] properties, final String[] options) {
 		final MainCorpus mainCorpus = corpus.getMainCorpus();
 		final File corpusBinaryDirectory = mainCorpus.getProjectDirectory();
-		final File txmDirectory = new File(corpusBinaryDirectory, "txm/"+mainCorpus.getID());
+		final File txmDirectory = new File(corpusBinaryDirectory, "txm/" + mainCorpus.getID());
 		
 		if (!txmDirectory.exists()) {
 			System.out.println("Can't apply TreeTagger to a corpus with no XML-TXM files.");
 		}
 		
 		final File[] files = txmDirectory.listFiles(new FileFilter() {
+			
 			@Override
 			public boolean accept(File file) {
 				return file.isFile() && file.canWrite() && file.getName().endsWith(".xml");
@@ -80,7 +85,7 @@
 		});
 		
 		if (files == null || files.length == 0) {
-			System.out.println("Can't apply TreeTagger to a corpus with no XML-TXM files in "+txmDirectory);
+			System.out.println("Can't apply TreeTagger to a corpus with no XML-TXM files in " + txmDirectory);
 		}
 		
 		String lang = model.getName();
@@ -94,11 +99,13 @@
 		for (File txmFile : files) {
 			hash.put(txmFile.getName(), lang);
 		}
+		
+		for (int i = 0; i < properties.length; i++)
+			properties[i] = properties[i].trim();
+		
+		System.out.println("APPLY : " + model + " to " + corpus + " updating " + Arrays.toString(properties) + " with options " + Arrays.toString(options));
+		JobHandler job = new JobHandler("Applying TreeTagger to " + corpus + " corpus.") {
 			
-		for (int i = 0 ; i < properties.length ; i++) properties[i] = properties[i].trim(); 
-		
-		System.out.println("APPLY : "+model+" to "+corpus+" updating "+Arrays.toString(properties)+ " with options "+Arrays.toString(options));
-		JobHandler job = new JobHandler("Applying TreeTagger to "+corpus+" corpus.") {
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
 				this.runInit(monitor);
@@ -106,7 +113,7 @@
 				annotator.setModelsDirectory(model.getParentFile());
 				annotator.setDebug();
 				if (!annotator.run(corpusBinaryDirectory, txmDirectory, hash, true, properties, options)) {
-					System.out.println("Fail to apply TreeTagger with "+txmDirectory+" files.");
+					System.out.println("Fail to apply TreeTagger with " + txmDirectory + " files.");
 					return Status.CANCEL_STATUS;
 				}
 				System.out.println("Done. Updating corpus...");
@@ -115,7 +122,7 @@
 					System.out.println("Fail to update corpus indexes and editions.");
 				}
 				System.out.println("Done.");
-				return Status.OK_STATUS;//frppos
+				return Status.OK_STATUS;// frppos
 			}
 		};
 		job.schedule();
